Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1241508 - tar exec: use --no-recursion before -T option
Summary: tar exec: use --no-recursion before -T option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dpkg
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrew Colin Kissa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-09 11:06 UTC by Pavel Raiskup
Modified: 2015-07-30 01:19 UTC (History)
4 users (show)

Fixed In Version: dpkg-1.17.25-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-23 08:58:52 UTC
Type: Bug


Attachments (Terms of Use)
Possible fix. (2.61 KB, patch)
2015-07-09 11:10 UTC, Pavel Raiskup
no flags Details | Diff
Possible fix. (2.62 KB, patch)
2015-07-09 11:56 UTC, Pavel Raiskup
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1230762 0 unspecified CLOSED listing/extracting with 'tar --files-from' do not recurse on directory 2022-05-16 11:32:56 UTC

Internal Links: 1230762

Description Pavel Raiskup 2015-07-09 11:06:00 UTC
Backported fix for gnu tar (bug #1230762) to fix amanda backup software, this
however caused problems with dpkg in Fedora.  The problem is that 'dpkg-build'
calls 'tar' with --no-recursion speficied "after" -T option, in this case
--no-recursion has no effect on members specified before.

Comment 1 Pavel Raiskup 2015-07-09 11:10:24 UTC
Created attachment 1050224 [details]
Possible fix.

Comment 2 Christian Ciach 2015-07-09 11:22:05 UTC
Sorry, I meant "dpkg-deb", not "dpkg-build" over at bug #1230762.

Comment 3 Pavel Raiskup 2015-07-09 11:56:23 UTC
Created attachment 1050239 [details]
Possible fix.

Thanks, I am not able to test the patch now.  Christian, are able to check
whether the fix actually helps here?

Comment 4 Christian Ciach 2015-07-09 17:06:44 UTC
Sorry for the delay, I am not used to build RPM packages. Thank you, the patch seems to work!

Comment 5 Sergio Basto 2015-07-10 00:23:47 UTC
Hi does anyone knows if this affects tar on epel6 or epel7 ?

Comment 6 Sergio Basto 2015-07-10 16:08:36 UTC
(In reply to Christian Ciach from comment #4)
> Sorry for the delay, I am not used to build RPM packages. Thank you, the
> patch seems to work!

We have an update of dpkg on updates-testing of F22 [1] and rawhide, if you could test it, it would be cool.

Thanks,
 
[1] https://admin.fedoraproject.org/updates/FEDORA-2015-11066/dpkg-1.17.25-1.fc22

Comment 7 Christian Ciach 2015-07-10 16:28:03 UTC
Version 1.17.25-1 from updates-testing and rawhide unfortunately does not fix this issue. I just tested it.

Comment 8 Fedora Update System 2015-07-10 19:15:00 UTC
dpkg-1.17.25-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dpkg-1.17.25-3.fc22

Comment 9 Sergio Basto 2015-07-10 19:37:22 UTC
(In reply to Christian Ciach from comment #7)

Version 1.17.25-3 from updates-testing and rawhide have the fix .
Thanks for your feedback . 

We may need wait more than 48 hours to land on F22 updates-testing, anyway  Fedora Update System will send another reminder after push it .

Comment 10 Pavel Raiskup 2015-07-13 11:35:48 UTC
Sergio, thanks for the build.  Could you please do F21 also?

Comment 11 Sergio Basto 2015-07-13 15:46:01 UTC
(In reply to Pavel Raiskup from comment #10)
> Sergio, thanks for the build.  Could you please do F21 also?

I will push to F21. My plan is push it after land on F22 updates stable and if no one complains , so, I guess, in about 15 days . 
But if tar goes before I can push it before , what is the tar updates schedule ?
	
 Thanks.

Comment 12 Fedora Update System 2015-07-13 19:05:52 UTC
Package dpkg-1.17.25-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dpkg-1.17.25-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11348/dpkg-1.17.25-3.fc22
then log in and leave karma (feedback).

Comment 13 Pavel Raiskup 2015-07-14 05:41:25 UTC
(In reply to Sergio Monteiro Basto from comment #11)
> I will push to F21. My plan is push it after land on F22 updates stable and
> if no one complains , so, I guess, in about 15 days . 
> But if tar goes before I can push it before , what is the tar updates
> schedule ?

Tar is being pushed to stable F21 now:
https://admin.fedoraproject.org/updates/FEDORA-2015-10829/tar-1.27.1-8.fc21

Comment 14 Fedora Update System 2015-07-15 04:52:39 UTC
dpkg-1.17.25-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dpkg-1.17.25-3.fc21

Comment 15 Fedora Update System 2015-07-23 08:58:52 UTC
dpkg-1.17.25-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-07-30 01:19:34 UTC
dpkg-1.17.25-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.